Subject: [COSE] Fwd: Last Call: <draft-ietf-core-echo-request-tag-11.txt> (CoAP: Echo, Request-Tag, and Token Processing) to Proposed Standard

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 22 Nov 2020 19:28:20 -0800

The Echo Option in this draft seems like it could come in handy in some
COSE scenarios.

Forwarding the last-call note here since I didn't see previous mention of
this draft on the WG list.

-Ben

On Wed, Nov 18, 2020 at 10:06:28PM -0800, The IESG wrote:
> 
> The IESG has received a request from the Constrained RESTful Environments WG
> (core) to consider the following document: - 'CoAP: Echo, Request-Tag, and
> Token Processing'
>   <draft-ietf-core-echo-request-tag-11.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2020-12-02. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    This document specifies enhancements to the Constrained Application
>    Protocol (CoAP) that mitigate security issues in particular use
>    cases.  The Echo option enables a CoAP server to verify the freshness
>    of a request or to force a client to demonstrate reachability at its
>    claimed network address.  The Request-Tag option allows the CoAP
>    server to match block-wise message fragments belonging to the same
>    request.  This document updates RFC7252 with respect to the client
>    Token processing requirements, forbidding non-secure reuse of Tokens
>    to ensure binding of response to request when CoAP is used with a
>    security protocol, and with respect to amplification mitigation,
>    where the use of Echo is now recommended.
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-core-echo-request-tag/
> 
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
> 
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce